# Visualization
TKService
Aspect

# Aspect_SequenceOfColor Class Reference

`#include <Aspect_SequenceOfColor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| Aspect_SequenceOfColor ()
Standard_EXPORT void | Clear ()
| ~Aspect_SequenceOfColor ()
Standard_EXPORT const Aspect_SequenceOfColor & | Assign (const Aspect_SequenceOfColor &Other)
const Aspect_SequenceOfColor & | operator= (const Aspect_SequenceOfColor &Other)
Standard_EXPORT void | Append (const Quantity_Color &T)
void | Append (Aspect_SequenceOfColor &S)
Standard_EXPORT void | Prepend (const Quantity_Color &T)
void | Prepend (Aspect_SequenceOfColor &S)
void | InsertBefore (const Standard_Integer Index, const Quantity_Color &T)
void | InsertBefore (const Standard_Integer Index, Aspect_SequenceOfColor &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Quantity_Color &T)
void | InsertAfter (const Standard_Integer Index, Aspect_SequenceOfColor &S)
Standard_EXPORT const Quantity_Color & | First () const
Standard_EXPORT const Quantity_Color & | Last () const
void | Split (const Standard_Integer Index, Aspect_SequenceOfColor &Sub)
Standard_EXPORT const Quantity_Color & | Value (const Standard_Integer Index) const
const Quantity_Color & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Quantity_Color &I)
Standard_EXPORT Quantity_Color & | ChangeValue (const Standard_Integer Index)
Quantity_Color & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | Aspect_SequenceOfColor (const Aspect_SequenceOfColor &Other)

## Constructor & Destructor Documentation

Aspect_SequenceOfColor::Aspect_SequenceOfColor | ( |  | ) |

Aspect_SequenceOfColor::~Aspect_SequenceOfColor | ( |  | ) | `[inline]`

Standard_EXPORT Aspect_SequenceOfColor::Aspect_SequenceOfColor | ( | const Aspect_SequenceOfColor & | Other | ) | `[private]`

## Member Function Documentation

void Aspect_SequenceOfColor::Append | ( | Aspect_SequenceOfColor & | S | ) |

Standard_EXPORT void Aspect_SequenceOfColor::Append | ( | const Quantity_Color & | T | ) |

Standard_EXPORT const Aspect_SequenceOfColor& Aspect_SequenceOfColor::Assign | ( | const Aspect_SequenceOfColor & | Other | ) |

Standard_EXPORT Quantity_Color& Aspect_SequenceOfColor::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Aspect_SequenceOfColor::Clear | ( |  | ) |

Standard_EXPORT const Quantity_Color& Aspect_SequenceOfColor::First | ( |  | ) | const

void Aspect_SequenceOfColor::InsertAfter | ( | const Standard_Integer | Index,
|  | Aspect_SequenceOfColor & | S
| ) |

Standard_EXPORT void Aspect_SequenceOfColor::InsertAfter | ( | const Standard_Integer | Index,
|  | const Quantity_Color & | T
| ) |

void Aspect_SequenceOfColor::InsertBefore | ( | const Standard_Integer | Index,
|  | Aspect_SequenceOfColor & | S
| ) |

void Aspect_SequenceOfColor::InsertBefore | ( | const Standard_Integer | Index,
|  | const Quantity_Color & | T
| ) |

Standard_EXPORT const Quantity_Color& Aspect_SequenceOfColor::Last | ( |  | ) | const

void Aspect_SequenceOfColor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_SequenceOfColor::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_SequenceOfColor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Color& Aspect_SequenceOfColor::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Quantity_Color& Aspect_SequenceOfColor::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Aspect_SequenceOfColor& Aspect_SequenceOfColor::operator= | ( | const Aspect_SequenceOfColor & | Other | ) | `[inline]`

void Aspect_SequenceOfColor::Prepend | ( | Aspect_SequenceOfColor & | S | ) |

Standard_EXPORT void Aspect_SequenceOfColor::Prepend | ( | const Quantity_Color & | T | ) |

Standard_EXPORT void Aspect_SequenceOfColor::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void Aspect_SequenceOfColor::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Aspect_SequenceOfColor::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Color & | I
| ) |

void Aspect_SequenceOfColor::Split | ( | const Standard_Integer | Index,
|  | Aspect_SequenceOfColor & | Sub
| ) |

Standard_EXPORT const Quantity_Color& Aspect_SequenceOfColor::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Aspect_SequenceOfColor.hxx